<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryBTreeDatabaseConfig Constructor
SecondaryBTreeDatabaseConfig Class See Also

Create a new SecondaryBTreeDatabaseConfig object

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public SecondaryBTreeDatabaseConfig(
    	Database PrimaryDB,
    	SecondaryKeyGenDelegate KeyGenFunc
    )

Visual Basic (Declaration)

    Public Sub New ( _
    	PrimaryDB As Database, _
    	KeyGenFunc As SecondaryKeyGenDelegate _
    )

Visual C++

    public:
    SecondaryBTreeDatabaseConfig(
    	Database^ PrimaryDB,
    	SecondaryKeyGenDelegate^ KeyGenFunc
    )

#### Parameters

PrimaryDB
  Type: BerkeleyDB..::.Database

KeyGenFunc
  Type: BerkeleyDB..::.SecondaryKeyGenDelegate

# See Also

SecondaryBTreeDatabaseConfig Class
BerkeleyDB Namespace